@ECHO OFF

if "%1"=="rome"      goto Rome
if "%1"=="macedonia" goto Macedonia
if "%1"=="carthage"  goto Carthage


cls
echo.
echo IMPERIUM ROMANUM V 2.2 
echo.
echo This batchfile generates the correct game files for the Human controlled civ.
echo.
echo If you start this scenario for the first time, install the correct pedia.txt.
echo Additionally, everytime you start a new game for the scenario, you must choose
echo which civilization you want to play as.
echo.
echo File changes during your game will be taken care of by CivSwap. Provided you
echo have CivSwap running and autosaving turned on, that is.
echo.

:main
echo.
echo 1. Install the pedia.txt for the FW version
echo 2. Install the pedia.txt for the MGE version
echo.
echo 3. Scenario setup for the Romans
echo 4. Scenario setup for the Macedonians
echo 5. Scenario setup for the Phoenicians
echo.
echo 6. Quit without changes
echo.
echo.
choice /c:123456 Please choose an option

if errorlevel 6 goto done
if errorlevel 5 goto Carthage_install
if errorlevel 4 goto Macedonia_install
if errorlevel 3 goto Rome_install
if errorlevel 2 goto Pedia_MGE
if errorlevel 1 goto Pedia_FW

:Pedia_FW
echo.
echo Installing FW pedia...
copy PEDIAFW.ger pedia.txt
goto main

:Pedia_MGE
echo.
echo Installing MGE pedia...
copy PEDIAMGE.ger pedia.txt
goto main


:Rome_install
echo.
echo Romans, scenario start

copy EventsR1.ger events.txt
copy RulesR1.ger rules.txt
copy Units1.bmp units.bmp

echo [Turns] > CivSwap.ini
echo 114=%0 rome 114 $AUTOSAVE >> CivSwap.ini
echo 240=%0 rome 240 $AUTOSAVE >> CivSwap.ini
echo 359=%0 rome 359 $AUTOSAVE >> CivSwap.ini

goto done


:Macedonia_install
echo.
echo Macedonians, scenario start

copy EventsM1.ger events.txt
copy RulesM1.ger rules.txt
copy Units1.bmp units.bmp

echo [Turns] > CivSwap.ini
echo 63=%0 macedonia 63 $AUTOSAVE >> CivSwap.ini
echo 171=%0 macedonia 171 $AUTOSAVE >> CivSwap.ini

goto done


:Carthage_install
echo.
echo Phoenicians, scenario start

copy EventsC1.ger events.txt
copy RulesC1.ger rules.txt
copy Units1.bmp units.bmp

echo [Turns] > CivSwap.ini
echo 114=%0 carthage 114 $AUTOSAVE >> CivSwap.ini
echo 237=%0 carthage 237 $AUTOSAVE >> CivSwap.ini

goto done



:Rome
if "%2"=="114" goto Rome_272BC
if "%2"=="240" goto Rome_146BC
if "%2"=="359" goto Rome__27BC
goto done

:Rome_272BC
echo.
echo Romans, 272BC
copy EventsR2.ger events.txt
copy RulesR2.ger rules.txt
copy Units2.bmp units.bmp
DELEVENT %3
copy %3 ca_b272.sav
goto done

:Rome_146BC
echo.
echo Romans, 146BC
copy EventsR3.ger events.txt
copy RulesR3.ger rules.txt
copy Units3.bmp units.bmp
DELEVENT %3
copy %3 ca_b146.sav
goto done

:Rome__27BC
echo.
echo Romans, 27BC
copy EventsR4.ger events.txt
copy RulesR4.ger rules.txt
copy Units4.bmp units.bmp
DELEVENT %3
copy %3 ca_b27.sav
goto done



:Macedonia
if "%2"=="63"  goto Macedonia_323BC
if "%2"=="171" goto Macedonia_215BC
goto done

:Macedonia_323BC
echo.
echo Macedonians, 323BC
copy EventsM2.ger events.txt
copy RulesM2.ger rules.txt
copy Units2.bmp units.bmp
DELEVENT %3
copy %3 al_b323.sav
goto done

:Macedonia_215BC
echo.
echo Macedonians, 215BC
copy EventsM3.ger events.txt
copy RulesM3.ger rules.txt
copy Units4.bmp units.bmp
DELEVENT %3
copy %3 al_b215.sav
goto done



:Carthage
if "%2"=="114" goto Carthage_272BC
if "%2"=="237" goto Carthage_149BC
goto done

:Carthage_272BC
echo.
echo Phoenicians, 272BC
copy EventsC2.ger events.txt
DELEVENT %3
copy %3 ha_b272.sav
goto done

:Carthage_149BC
echo.
echo Phoenicians, 149BC
copy EventsC3.ger events.txt
copy RulesC2.ger rules.txt
copy Units4.bmp units.bmp
DELEVENT %3
copy %3 ha_b149.sav
goto done



:done
